import * as redshift from '@aws-cdk/aws-redshift-alpha';
import { aws_ec2 as ec2 } from 'aws-cdk-lib';
import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface RedshiftClusterProps {
    masterUser: string;
    vpc: ec2.Vpc;
    logging: redshift.LoggingProperties;
    defaultDBName?: string | undefined;
    nodes?: number | undefined;
    nodeType?: redshift.NodeType;
    parameterGroup: redshift.ClusterParameterGroup;
    preferredMaintenanceWindow?: string | undefined;
    removalPolicy?: cdk.RemovalPolicy | undefined;
    subnetGroup: redshift.ClusterSubnetGroup;
}
/**
** Creates a period task to update the SSM Agent on an EC2 Instanc
*/
export declare class PrivateRedshiftCluster extends constructs.Construct {
    cluster: redshift.Cluster;
    clusterSecurityGroup: ec2.SecurityGroup;
    clusterParameters: redshift.ClusterParameterGroup;
    constructor(scope: constructs.Construct, id: string, props: RedshiftClusterProps);
}
